/*
 Copyright 2004-2008 Paul R. Holser, Jr.  All rights reserved.
 Licensed under the Academic Free License version 3.0
 */

package jaggregate.internal;

/**
 * Used to simulate non-local returns from Smalltalk blocks.
 *
 * @author <a href="mailto:pholser@alumni.rice.edu">Paul Holser</a>
 * @version $Id: NonLocalReturnException.java,v 1.2 2008/03/30 03:07:11 pholser Exp $
 */
public class NonLocalReturnException extends RuntimeException {
    private static final long serialVersionUID = -1L;

    /**
     * Creates a new exception.
     */
    public NonLocalReturnException() {
        // empty on purpose
    }
}
