/*
 Copyright 2004-2008 Paul R. Holser, Jr.  All rights reserved.
 Licensed under the Academic Free License version 3.0
 */

/**
 * Jaggregate is a J2SE 5.0-aware collections library that is modeled after the ANSI
 * Smalltalk collection protocols.
 * <p/>
 * Jaggregate attempts to adhere mostly to
 * <a href="http://minnow.cc.gatech.edu/squeak/uploads/172/standard_v1_9-indexed.pdf">
 * this draft of the ANSI Smalltalk specification</a>.
 * <p/>
 * <strong>To-do list</strong>:
 * <ul>
 *     <li>TODO: filtering/transforming w/no new collection allocation?</li>
 *     <li>TODO: snazzier web site theme</li>
 *     <li>TODO: ReadWriteStream?</li>
 *     <li>TODO: BinaryFunction.compose()?</li>
 * </ul>
 */

package jaggregate;
