/*
 Copyright 2004-2008 Paul R. Holser, Jr.  All rights reserved.
 Licensed under the Academic Free License version 3.0
 */

package jaggregate.internal;

/**
 * Constants for compiler warnings we may wish to suppress internally.
 *
 * @author <a href="mailto:pholser@alumni.rice.edu">Paul Holser</a>
 * @version $Id: CompilerWarnings.java,v 1.2 2008/03/30 03:07:11 pholser Exp $
 */
public class CompilerWarnings {
    public static final String UNCHECKED = "unchecked";

    /**
     * Discourages instantiation.
     *
     * @throws UnsupportedOperationException always
     */
    protected CompilerWarnings() {
        throw new UnsupportedOperationException();
    }
}
